<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR KENDARAAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-4">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text"><i class="fa fa-search"></i> </div>
                  <input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                </div>
              </div>
            </div>
            <!--<div class="col-sm-1 pl-0 pr-0">-->
              <!--<button class="btn btn-success"  (click)="doGetListBarang()"><i class="fa fa-search"></i> Cari</button>-->
            <!--</div>-->
            <div class="col-sm-5"></div>
            <div class="col-sm-3">
              <button class="pull-right btn btn-success" data-toggle="modal" (click)="doOpenFormAdd(); addModal.show();">
                <i class="icon-plus"></i> Tambah Kendaraan Baru</button>
            </div>
          </div><br>
          <div *ngIf="listBarang | filter: filterText as list">
            <table class="table table-bordered table-striped table-sm table-responsive-sm">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle" style="width: 3%">#</th>
                <th class="text-center align-middle"  style="width: 10%" (click)="sort('kodeBarang')">Kode Kendaraan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'kodeBarang',
                                    'fa-sort-asc': (column == 'kodeBarang' && isDesc),
                                    'fa-sort-desc': (column == 'kodeBarang' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 15%" (click)="sort('namaBarang')">Nama Kendaraan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaBarang',
                                    'fa-sort-asc': (column == 'namaBarang' && isDesc),
                                    'fa-sort-desc': (column == 'namaBarang' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 8%" (click)="sort('hargaBeli')">Harga Beli
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'hargaBeli',
                                    'fa-sort-asc': (column == 'hargaBeli' && isDesc),
                                    'fa-sort-desc': (column == 'hargaBeli' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 8%" (click)="sort('harga')">Harga Jual
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'harga',
                                    'fa-sort-asc': (column == 'harga' && isDesc),
                                    'fa-sort-desc': (column == 'harga' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('namaSuplier')">Nama Leasing
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaSuplier',
                                    'fa-sort-asc': (column == 'namaSuplier' && isDesc),
                                    'fa-sort-desc': (column == 'namaSuplier' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 15%" (click)="sort('keterangan')">Keterangan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 8%" (click)="sort('stokBarang')">Stok
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'stokBarang',
                                    'fa-sort-asc': (column == 'stokBarang' && isDesc),
                                    'fa-sort-desc': (column == 'stokBarang' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 7%">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listBarang || listBarang.length===0 || list.length===0">
              <tr>
                <td colspan="9" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of list | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <td>{{ data.kodeBarang }}</td>
                <td class="text-left">{{ data.namaBarang }}</td>
                <td>{{ data.hargaBeli | number }}</td>
                <td>{{ data.harga | number }}</td>
                <td>{{ data.namaSuplier }}<br>{{data.teleponSuplier}}</td>
                <td>{{ data.keterangan }}</td>
                <td>{{ data.stokBarang }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedBarang(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success modal-lg" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> {{modalTitle}} Kendaraan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-6">
              <label class="col-form-label">Kode Kendaraan</label>
              <input type="text" id="kodeBarang" class="form-control" formControlName="kodeBarang" placeholder="Kode Barang">
            </div>
            <div class="col-sm-6">
              <label class="col-form-label">Nama Kendaraan</label>
              <input type="text" id="namaBarang" class="form-control" formControlName="namaBarang" placeholder="Nama Barang">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-6">
              <label class="col-form-label">Harga Beli</label>
              <input type="text" id="hargaBeli" class="form-control" formControlName="hargaBeli" placeholder="Harga Beli Barang"
                     appOnlyNumber="{{formBuilder.controls.hargaBeli.value}}">
            </div>
            <div class="col-sm-6">
              <label class="col-form-label">Harga Jual</label>
              <input type="text" id="harga" class="form-control" formControlName="harga" placeholder="Harga Jual Barang"
                     appOnlyNumber="{{formBuilder.controls.harga.value}}">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-6">
              <label class="col-form-label">Nama Leasing</label>
              <input type="text" id="namaSuplier" class="form-control" formControlName="namaSuplier" placeholder="Nama Leasing">
            </div>
            <div class="col-sm-6">
              <label class="col-form-label">Telepon Leasing</label>
              <input type="text" id="teleponSuplier" class="form-control" formControlName="teleponSuplier" placeholder="Telepon Leasing">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-6">
              <label class="col-form-label">Keterangan</label>
              <input type="text" id="keterangan" class="form-control" formControlName="keterangan" placeholder="Keterangan">
            </div>
            <div class="col-sm-6">
              <label class="col-form-label">Stok</label>
              <input type="text" id="stokBarang" class="form-control" formControlName="stokBarang" placeholder="Stok Barang"
                     appOnlyNumber="{{formBuilder.controls.stokBarang.value}}">
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Tutup</button>
        <button type="button" class="btn btn-success" (click)="addModal.hide(); submit()" [disabled]="formBuilder.invalid">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>

